CorebanqCorebanq Developer Docs
Tariffsv1Velocity Rules

Get velocity rule change history

Returns blame/audit rows (field-level before/after diffs) for a velocity rule.

GET
/v1/tariffs/velocity-rules/{rule_id}/history

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

rule_id*string

Velocity rule UUID

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/tariffs/velocity-rules/497f6eca-6276-4993-bfeb-53cbbbba6f08/history"
[
  {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "action": "string",
    "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5",
    "user_name": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "changes": [
      {
        "field": "string",
        "old": null,
        "new": null
      }
    ]
  }
]
{
  "status": 0,
  "message": "string",
  "code": "tariffs.tariff_not_found",
  "class": "business",
  "retryable": false,
  "details": [
    {
      "field": "amount",
      "rule": "gt",
      "param": "0",
      "message": "amount must be greater than 0"
    }
  ]
}
{
  "status": 0,
  "message": "string",
  "code": "tariffs.tariff_not_found",
  "class": "business",
  "retryable": false,
  "details": [
    {
      "field": "amount",
      "rule": "gt",
      "param": "0",
      "message": "amount must be greater than 0"
    }
  ]
}
{
  "status": 0,
  "message": "string",
  "code": "tariffs.tariff_not_found",
  "class": "business",
  "retryable": false,
  "details": [
    {
      "field": "amount",
      "rule": "gt",
      "param": "0",
      "message": "amount must be greater than 0"
    }
  ]
}
{
  "status": 0,
  "message": "string",
  "code": "tariffs.tariff_not_found",
  "class": "business",
  "retryable": false,
  "details": [
    {
      "field": "amount",
      "rule": "gt",
      "param": "0",
      "message": "amount must be greater than 0"
    }
  ]
}